div.form-row.border-bottom-secondary.mb-2
  div.form-group.col-12
    h5.card-title.mb-0.text-gray-800
      span.fas.fa-info.mr-2
      span Información General
div.form-row
  div.form-group.col-12.col-lg-4
    select([(ngModel)]="tFiltroActual").custom-select.custom-select-sm
      option(*ngFor="let tFiltro of tFiltros", [ngValue]="tFiltro") {{tFiltro.Filtro}}
  div.form-group.col-12.col-lg-8
    input(type="text", placeholder="Ingrese busqueda", [(ngModel)]="tFiltroBusqueda").form-control.form-control-sm
div.form-row
  div.form-group.col-12.col-lg-8
    div.row
      div.col-12
        div.table-responsive
          table.table.table-sm.table-striped.table-hover
            thead
              tr.align-middle
                th
                th
                  div.PermisosCheck
                    input(type="checkbox",
                        #chkAccesoTodos = "",
                        (change)="Formulario_AccesoTodos(chkAccesoTodos.checked)")#chkAccesoTodos.PermisosCheck--Check
                    label(for="chkAccesoTodos").PermisosCheck--Etiqueta Acceso
                th
                  h6.font-weight-bold.text-nowrap Descripción
                th
                  h6.font-weight-bold.text-nowrap Descripción2
                th
                  div.PermisosCheck
                    input(type="checkbox",
                        #chkAgregarTodos = "",
                        (change)="Formulario_AgregarTodos(chkAgregarTodos.checked)")#chkAgregarTodos.PermisosCheck--Check
                    label(for="chkAgregarTodos").PermisosCheck--Etiqueta Agregar
                th
                  div.PermisosCheck
                    input(type="checkbox",
                        #chkEditarTodos = "",
                        (change)="Formulario_EditarTodos(chkEditarTodos.checked)")#chkEditarTodos.PermisosCheck--Check
                    label(for="chkEditarTodos").PermisosCheck--Etiqueta Editar
                th
                  div.PermisosCheck
                    input(type="checkbox",
                        #chkEliminarTodos = "",
                        (change)="Formulario_EliminarTodos(chkEliminarTodos.checked)")#chkEliminarTodos.PermisosCheck--Check
                    label(for="chkEliminarTodos").PermisosCheck--Etiqueta Eliminar
                th
                  div.PermisosCheck
                    input(type="checkbox",
                        #chkImprimirTodos = "",
                        (change)="Formulario_ImprimirTodos(chkImprimirTodos.checked)")#chkImprimirTodos.PermisosCheck--Check
                    label(for="chkImprimirTodos").PermisosCheck--Etiqueta Imprimir
                th
                  div.PermisosCheck
                    input(type="checkbox",
                        #chkPermisoTodos = "",
                        (change)="Formulario_PermisoTodos(chkPermisoTodos.checked)")#chkPermisoTodos.PermisosCheck--Check
                    label(for="chkPermisoTodos").PermisosCheck--Etiqueta Permiso
            tbody
              tr(*ngFor="let tFormulario of tGrupo.LFormularios | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPaginaFormulario-1) * tTamanoPagFormulario : (tPaginaFormulario-1) * tTamanoPagFormulario + tTamanoPagFormulario ; let jv = index")
                td
                  button(type="button",
                          (click)="SeleccionarFormulario(tFormulario)").btn.btn-sm.btn-outline-info
                    span.fas.fa-eye
                td.text-center
                  input#chkAcceso(type="checkbox",
                                      #chkAcceso="",
                                      ng-true-value="1",
                                      ng-false-value="0",
                                      [checked]="tFormulario.Acceso",
                                      (change)="Formulario_Acceso(chkAcceso.checked, tFormulario)").form-check-input-text-center
                td
                  h6.text-nowrap {{ tFormulario.Descripcion }}
                td
                  h6.text-nowrap {{ tFormulario.Descripcion2 }}
                td.text-center
                  input#chkAgregar(type="checkbox",
                                  #chkAgregar="",
                                  ng-true-value="1",
                                  ng-false-value="0",
                                  (change)="Formulario_Agregar(chkAgregar.checked, tFormulario)",
                                  [checked]="tFormulario.Agregar",
                                  name="AgregarCheck1").form-check-input-text-center
                td.text-center
                  input#chkEditar(type="checkbox",
                                  #chkEditar="",
                                  ng-true-value="1",
                                  ng-false-value="0",
                                  (change)="Formulario_Editar(chkEditar.checked, tFormulario)",
                                  [checked]="tFormulario.Editar",
                                  name="EditarCheck1").form-check-input-text-center
                td.text-center
                  input#chkEliminar(type="checkbox",
                                  #chkEliminar="",
                                  ng-true-value="1",
                                  ng-false-value="0",
                                  (change)="Formulario_Eliminar(chkEliminar.checked, tFormulario)",
                                  [checked]="tFormulario.Eliminar",
                                  name="EliminarCheck1").form-check-input-text-center
                td.text-center
                  input#chkImprimir(type="checkbox",
                                    #chkImprimir="",
                                    ng-true-value="1",
                                    ng-false-value="0",
                                    (change)="Formulario_Imprimir(chkImprimir.checked, tFormulario)",
                                    [checked]="tFormulario.Imprimir",
                                    name="ImprimirCheck1").form-check-input-text-center
                td.text-center
                    input#chkPermiso(type="checkbox",
                                    #chkPermiso="",
                                    ng-true-value="1",
                                    ng-false-value="0",
                                    (change)="Formulario_Permiso(chkPermiso.checked, tFormulario)",
                                    [checked]="tFormulario.Permiso",
                                    name="PermisoCheck1").form-check-input-text-center
    div.row.mt-2
      div.col-12
        ngb-pagination(aria-label="Default pagination",
                        [collectionSize]="tGrupo.LFormularios.length" || 0,
                        [(page)]="tPaginaFormulario",
                        [rotate]="true",
                        [ellipses]="false",
                        [boundaryLinks]="true",
                        [maxSize]="10",
                        [pageSize]="tTamanoPagFormulario" || 0).d-flex.justify-content-center
  div.form-group.col-12.col-lg-4
    ng-container(*ngIf="this.tFormularioActual.LTareas.length <= 0")
      img(src="assets/NoData.svg").img-fluid.text-center
    ng-container(*ngIf="this.tFormularioActual.LTareas.length > 0")
      div.form-row
        div.form-group.col-12
          div.row
            div.col
              h5.text-center.card-title
                span {{ tFormularioActual.Descripcion }}
          div.row
            div.col
              h6.card-title.mb-0.text-gray-800
                span Tareas adicionales
      div(*ngFor="let tTarea of tFormularioActual.LTareas | slice: (tPaginaFormularioTareas-1) * tTamanoPagFormularioTareas : (tPaginaFormularioTareas-1) * tTamanoPagFormularioTareas + tTamanoPagFormularioTareas ; let jv = index").form-row
        div.form-group.col-12
          div.card.shadow-sm.h-100.border-left-primary
            div.card-body
              div.row.no-gutters.align-items-center
                div.col-auto.mr-1
                  div.custom-control.custom-switch
                    input(type="checkbox",
                            id="{{ tTarea.Codtarea }}"
                            ng-true-value="1",
                            ng-false-value="0",
                            [checked]="tTarea.Asignado",
                            (change)="CheckTarea(tTarea)").custom-control-input
                    label(for="{{ tTarea.Codtarea }}").custom-control-label
                div.col.mr-2
                  div.text-xs.h6.mb-0.font-weight-bold.text-gray-800 {{ tTarea.Descripcion }}
                div.col-auto
                  div.fas.fa-tasks.fa-2x.text-gray-300
      div.row.mt-2
        div.col-12
          ngb-pagination(aria-label="Default pagination",
                          [collectionSize]="tFormularioActual.LTareas.length" || 0,
                          [(page)]="tPaginaFormularioTareas",
                          [rotate]="true",
                          [ellipses]="false",
                          [boundaryLinks]="true",
                          [maxSize]="10",
                          [pageSize]="tTamanoPagFormularioTareas" || 0).d-flex.justify-content-center
